freeslot("sfx_coon", "sfx_loco")

//Swap Abilities

addHook("PlayerThink", function(p)
    if (p.mo) and (p.mo.skin == "tposeluigi")
        if (p.cmd.buttons & BT_CUSTOM1) and (p.pressc1 == true) then //If pressing C1
            if not (p.pflags & PF_JUMPDOWN)
                p.pressc1 = false //We probably want this to run only once per C1 press
                p.pflags = p.pflags + PF_JUMPDOWN		
                if (p.charability == CA_FLOAT) then 
                    p.charability = CA_AIRDRILL
                else
                    p.charability = CA_FLOAT
                end
            end
        end
        if not (p.cmd.buttons & BT_CUSTOM1) then //If NOT pressing C1
            p.pressc1 = true //You can now press it again
        end
    end
end)

//Duplicate (For Later Use)

addHook("PlayerThink", function(p)
    if (p.mo) and (p.mo.skin == "tposeluigi")
        if (p.cmd.buttons & BT_CUSTOM1) and (p.pressc1 == true) then //If pressing C1
            if not (p.pflags & PF_JUMPDOWN)
                p.pressc1 = false //We probably want this to run only once per C1 press
                p.pflags = p.pflags + PF_JUMPDOWN
                if (p.charability == CA_FLOAT) then 
                    p.charability = CA_AIRDRILL
                else
                    p.charability = CA_FLOAT
                end
            end
        end
        if not (p.cmd.buttons & BT_CUSTOM1) then //If NOT pressing C1
            p.pressc1 = true //You can now press it again
        end
    end
end)

//Coyote Time

addHook("PlayerThink", function(p)
	if p.mo and p.mo.skin == "tposeluigi" then
		if not(P_IsObjectOnGround(p.mo)) and not (P_PlayerInPain(p)) and not p.powers[pw_carry] then
            p.pflags = $ | PF_JUMPED
		end
	end
end)

//Crouch (For More info Go to Poltergust.lua)

addHook("PlayerThink", function(player)
    if player.mo.skin ~= "tposeluigi" then
        return
    end

    if (player.cmd.buttons & BT_CUSTOM2) and P_IsObjectOnGround(player.mo) and player.speed == 0 then
        player.height = 30*FRACUNIT
        player.mo.state = S_PLAY_GLIDE_LANDING
        player.pflags = $1|PF_FULLSTASIS
    else
        player.height = 48*FRACUNIT
    end
end)

//Ability Change Sfx

addHook("PlayerThink", function(p)

    if (p.cmd.buttons & BT_CUSTOM1) and (p.charability == CA_FLOAT) then
	 local sound
    if (p.cmd.buttons & BT_CUSTOM1) and not p.c1held then
      sound = sfx_coon
      p.c1held = true
    end
   
   if sound then
      S_StartSound(p.mo, sound)
    end
  else
    p.c1held = false
  end
end)

 //Coon Suit
 
 freeslot ("SPR_COON", "S_PLAY_COON1", "S_PLAY_COON2", "S_PLAY_COON3", "S_PLAY_COON4", "S_PLAY_COON5", "S_PLAY_COON6", "S_PLAY_COON7",
  "S_PLAY_COON8", "S_PLAY_COON9")
 
 states[S_PLAY_COON1] = {
    sprite = SPR_COON,
	frame = A,
	tics = 4,
	nextstate = S_PLAY_COON2
}

states[S_PLAY_COON2] = {
    sprite = SPR_COON,
	frame = A,
	tics = 4,
	nextstate = S_PLAY_COON3
}

states[S_PLAY_COON3] = {
    sprite = SPR_COON,
	frame = A,
	tics = 4,
	nextstate = S_PLAY_COON4
}

states[S_PLAY_COON4] = {
    sprite = SPR_COON,
	frame = A,
	tics = 4,
	nextstate = S_PLAY_COON5
}

states[S_PLAY_COON6] = {
    sprite = SPR_COON,
	frame = A,
	tics = 1,
	nextstate = S_PLAY_COON7
}

states[S_PLAY_COON7] = {
    sprite = SPR_COON,
	frame = A,
	tics = 1,
	nextstate = S_PLAY_COON8
}

states[S_PLAY_COON8] = {
    sprite = SPR_COON,
	frame = A,
	tics = 1,
	nextstate = S_PLAY_COON9
}

states[S_PLAY_COON9] = {
    sprite = SPR_COON,
	frame = A,
	tics = 1,
	nextstate = S_PLAY_COON1
}

addHook("PlayerThink", function(player)
    if player.mo.skin ~= "tposeluigi" then
        return
    end
	
    if (player.charability == CA_FLOAT) and not player.powers[pw_super]
    player.mo.state = S_PLAY_COON1
    else if not (player.charability == CA_FLOAT) and (player.cmd.buttons & BT_CUSTOM1)
	player.mo.state = S_PLAY_GASP
  end
 end
end)

//Casino Luigi

freeslot ("SPR_CASN", "S_PLAY_CASN")

 states[S_PLAY_CASN] = {
    sprite = SPR_CASN,
	frame = A,
	tics = 4,
	nextstate = S_PLAY_CASN
}

addHook("PlayerThink", function(player)
    if player.mo.skin ~= "tposeluigi" then
        return
    end

    if (player.cmd.buttons & BT_SPIN) and (player.cmd.buttons & BT_CUSTOM2) and P_IsObjectOnGround(player.mo) and player.speed == 0 then
        player.height = 30*FRACUNIT
        player.mo.state = S_PLAY_CASN
        player.pflags = $1|PF_FULLSTASIS
    else
        player.height = 48*FRACUNIT
    end
end)

 //Retro Luigi
 
 addHook("PlayerThink", function(player)
 
 if player.powers[pw_super]
 player.mo.scale = 5*FRACUNIT
 else
 player.mo.scale = 1*FRACUNIT
end
end)
 
 
 
 
 
 
 
 
 
 
 
 
 
 
